### Property

# Gtk Widget:css-name

since: 4.0

#### Declaration

    property css-name: utf8 [ read, write, construct-only ]

#### Description [src]

The name of this widget in the CSS tree.

This property is meant to be set by widget implementations, typically in their instance init function.

Type: | `gchar*`
Available since: | 4.0

Default value | NULL
Getter method | `gtk_widget_get_css_name()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes